Package org.talend.transform.camel

# Class TdmComponent

java.lang.Object
org.apache.camel.support.service.BaseService
org.apache.camel.support.service.ServiceSupport
org.apache.camel.support.DefaultComponent
org.talend.transform.camel.TdmComponent

All Implemented Interfaces:
  `AutoCloseable`, `org.apache.camel.CamelContextAware`, `org.apache.camel.Component`, `org.apache.camel.Service`, `org.apache.camel.ShutdownableService`, `org.apache.camel.spi.HasCamelContext`, `org.apache.camel.StatefulService`, `org.apache.camel.SuspendableService`

public class TdmComponent extends org.apache.camel.support.DefaultComponent
Camel `Component` for TDM. Used to create an `Endpoint` which can execute an TDM map. Example:

     from("direct:a")
                    .to("tdm://Examples/Maps/PayPal/POPayPal_PO2")

## Field Summary

### Fields inherited from class org.apache.camel.support.service.BaseService

`BUILT, FAILED, INITIALIZED, INITIALIZING, lock, NEW, SHUTDOWN, SHUTTING_DOWN, STARTED, STARTING, status, STOPPED, STOPPING, SUSPENDED, SUSPENDING`

## Constructor Summary

Constructors
Constructor
Description
`TdmComponent()`

## Method Summary

Modifier and Type
Method
Description
`protected org.apache.camel.Endpoint`
`createEndpoint(String uri, String path, Map<String,Object> parameters)`

### Methods inherited from class org.apache.camel.support.DefaultComponent

`afterConfiguration, createEndpoint, createEndpoint, doBuild, doInit, getAndRemoveOrResolveReferenceParameter, getAndRemoveOrResolveReferenceParameter, getAndRemoveParameter, getAndRemoveParameter, getCamelContext, getComponentPropertyConfigurer, getDefaultName, getEndpointPropertyConfigurer, getExtension, getSupportedExtensions, ifStartsWithReturnRemainder, isAutowiredEnabled, isBridgeErrorHandler, isLazyStartProducer, registerExtension, registerExtension, resolveAndRemoveReferenceListParameter, resolveAndRemoveReferenceListParameter, resolveAndRemoveReferenceParameter, resolveAndRemoveReferenceParameter, resolveRawParameterValues, setAutowiredEnabled, setBridgeErrorHandler, setCamelContext, setLazyStartProducer, setProperties, setProperties, setProperties, useIntrospectionOnEndpoint, useRawUri, validateParameters, validateURI`

### Methods inherited from class org.apache.camel.support.service.BaseService

`build, doFail, doLifecycleChange, doResume, doShutdown, doStart, doStop, doSuspend, fail, getInternalLock, getStatus, init, isBuild, isInit, isNew, isRunAllowed, isShutdown, isStarted, isStarting, isStartingOrStarted, isStopped, isStopping, isStoppingOrStopped, isSuspended, isSuspending, isSuspendingOrSuspended, resume, shutdown, start, stop, suspend`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.camel.Service

`build, close, init, start, stop`

### Methods inherited from interface org.apache.camel.ShutdownableService

`shutdown`

### Methods inherited from interface org.apache.camel.StatefulService

`getStatus, isRunAllowed, isStarted, isStarting, isStopped, isStopping, isSuspending`

### Methods inherited from interface org.apache.camel.SuspendableService

`isSuspended, resume, suspend`

## Constructor Details

### TdmComponent

public TdmComponent()

## Method Details

### createEndpoint

protected org.apache.camel.Endpoint createEndpoint(String uri, String path, Map<String,Object> parameters) throws Exception

Specified by:
  `createEndpoint` in class `org.apache.camel.support.DefaultComponent`
Throws:
  `Exception`